Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.namepattern
Class SAGFileNameResolver

    java.lang.Object
      com.stc.connector.sagadapter.namepattern.SAGFileNameResolver

    public class SAGFileNameResolver

extends java.lang.Object

It resolves directory and file name patterns and gives the full file name. For the supported patterns, please

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)
See Also:
  `NamePattern`

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`SAGFileNameResolver(java.lang.String dir, boolean dirIsPattern, java.lang.String file, boolean fileIsPattern)` Constructor.

Method Summary
`SeqNoFilePersistenceAdapter` | `getSeqNoFilePersistenceAdapter()` Returns the Sequence Number Persistence Adapter that is associated with the given Sequence Number File location.
`java.lang.String` | `resolveFullFileName()` Resolves the dir and file patterns and get the full file name.
`void` | `setSeqNoFile(java.io.File seqNoFile)` Specifies the sequence number persistence location.
`void` | `setSw_FileStatus(Sw_FileStatus fileStatus)` Only used for post operation.
`void` | `setSw_LogicalName(java.lang.String logicalName)` Sets Swift Sw:LogicalName for replacement.
`void` | `setWorkingDirName(java.lang.String workingDirName)` Only used for post operation.
`void` | `setWorkingFileName(java.lang.String workingFileName)` Only used for post operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SAGFileNameResolver

    public SAGFileNameResolver(java.lang.String dir,
                               boolean dirIsPattern,
                               java.lang.String file,
                               boolean fileIsPattern)

  Constructor. For the supported patterns, please

  Parameters:
    `dir` - Directory name
    `dirIsPattern` - true or false (Directory name Is Pattern?)
    `file` - File name
    `fileIsPattern` - true or false (File name Is Pattern?)
  See Also:
    `NamePattern`

Method Detail

### resolveFullFileName

    public java.lang.String resolveFullFileName()

  Resolves the dir and file patterns and get the full file name.

  Returns:
    The full file name

### setSw_LogicalName

    public void setSw_LogicalName(java.lang.String logicalName)

  Sets Swift Sw:LogicalName for replacement.

  Parameters:
    `logicalName` -

### setWorkingDirName

    public void setWorkingDirName(java.lang.String workingDirName)

  Only used for post operation.

  Parameters:
    `workingDirName` -

### setWorkingFileName

    public void setWorkingFileName(java.lang.String workingFileName)

  Only used for post operation.

  Parameters:
    `workingFileName` -

### setSw_FileStatus

    public void setSw_FileStatus(Sw_FileStatus fileStatus)

  Only used for post operation.

  Parameters:
    `fileStatus` -

### setSeqNoFile

    public void setSeqNoFile(java.io.File seqNoFile)

  Specifies the sequence number persistence location.

  Parameters:
    `seqNoFile` -

### getSeqNoFilePersistenceAdapter

    public SeqNoFilePersistenceAdapter getSeqNoFilePersistenceAdapter()

  Returns the Sequence Number Persistence Adapter that is associated with the given Sequence Number File location.

  Returns:
    The Sequence Number Persistence Adapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.